How do I update my N3DS while still keeping Luma and custom VC games?

Discussion in '3DS - Homebrew Development and Emulators' started by CodyMitchel2, Aug 1, 2017.

  1. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    I'm afraid to use the SysUpdater because it said something about bricking your 3DS, if it's running in sysNAND.
     
  2. RyanAnayaMc

    RyanAnayaMc GBAtemp Regular

    Member
    161
    63
    Oct 5, 2015
    United States
    Got boot9strap? If you do, you can do it right through System Settings.
     
  3. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    Nope, only AL9H. Will that work?
     
  4. MrCatFace

    MrCatFace GBAtemp Regular

    Member
    181
    77
    Jun 3, 2017
    Home (Is where the heart is, so my chest?)
  5. pustal

    pustal Koalafied member.

    Member
    381
    166
    Jul 19, 2011
    Portugal
    The Matrix
    Should work, but it's highly recommended you upgrade to bootstrap9 first as newer versions of Luma no longer support a9lh and newer firmwares may have or not incompatibilities with older versions of Luma.
     
  6. RyanAnayaMc

    RyanAnayaMc GBAtemp Regular

    Member
    161
    63
    Oct 5, 2015
    United States
    Well it's about time you upgraded. Boot9strap is WAAAAAAAAAYYYYY better than AL9H (which is outdated now) and supports the later versions of Luma (and possibly other CFWs). Use the link MrCatFace gave you and when you finish upgrading, proceed with the System Update in settings.
     
  7. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    Kinda worried to do it, because when I did A9LH, it got the CTRNAND error screen but fixed it with the 9.2 update. How risky is this?
     
    Last edited by CodyMitchel2, Aug 1, 2017
  8. fowler002

    fowler002 GBAtemp Fan

    Member
    344
    80
    Jan 3, 2013
    It's very risky 99.999999% of the people who do it brick they systems. People advising you do do it are doing so you brick.......

    Seriously all joking aside it's very simple, even doing it very carefully reading things multiple times shouldn't take you mor than like half hour. If you're confident takes at half that long, majority of the time is taken by reading the guide plus downloading the required files/transferring them to the memory card. Actually doing it is quick and simple, the other time consuming task is backing up the nand.
     
    Last edited by fowler002, Aug 1, 2017
  9. mike a

    mike a GBAtemp Fan

    Member
    313
    30
    Oct 28, 2014
    United States
    I did it, it's easy and you won't brick
     
  10. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,574
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    There has not been a single confirmed brick caused by B9S and the update process only takes a few minutes.
    I am going to agree with everyone and suggest updating to B9S first, then update your system through the system settings. You won't loose anything doing this and there's no risk caused by doing this.
     
  11. DinckelMan

    DinckelMan Your Favorite Water Mage!

    Member
    257
    156
    Nov 4, 2013
    United States
    Even with A9LH you can update from the system menu completely safely.

    Moreover, at this point there's pretty much nothing you can do to brick your DS permanently unless you do something completely stupid
     
  12. nl255

    nl255 GBAtemp Addict

    Member
    2,609
    375
    Apr 9, 2004
    That being said, don't forget to make a sysnand backup before you do a system update.
     
  13. Giodude

    Giodude GBAtemp's official rock

    Member
    GBAtemp Patron
    Giodude is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,216
    1,296
    May 17, 2015
    United States
    New York
    There have been zero bricks from an upgrade to boot9strap recorded. It takes so many safety precautions that a brick would have to be intentionally caused by modifying the files it gives you, and even then it would probably still work. Also, the error screen you got after you installed a9lh is completely normal, and if you made a nand backup like the guide said to do, you could have just restored that to fix the error.
     
  14. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    I have one for 11.4.

    — Posts automatically merged - Please don't double post! —

    Does running LumaUpdater, update you to B9S?
     
  15. lone_wolf323

    lone_wolf323 GBAtemp Advanced Fan

    Member
    814
    270
    May 27, 2011
    Canada
    No it does not. There is a section in 3ds.guide for updating the system into b9s.
     
  16. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,574
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    No, you need to follow the guide in order to do that.
    https://3ds.guide/a9lh-to-b9s
     
  17. nl255

    nl255 GBAtemp Addict

    Member
    2,609
    375
    Apr 9, 2004
    If you use safeb9sinstaller as per the 3ds.guide a9lh to b9s upgrade instructions then the risk is minimal, far less than doing an official update on stock firmware. Especially since there is no need to mess with downgrading to 2.1 or any of that nonsense (and in fact you can use b9s to dump your otp on any firmware). Just don't use the sighax.com installer as it doesn't have hardly any of the safety features that safeb9sinstaller does and there have been quite a few reported bricks with the sighax installer.


    Yep, the only bricks so far have been with the sighax.com installer due to a lack of safety features.
     
  18. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    Can I update from A9LH, using the regular method or will I lose my installed CIA VC games? I know B9S is better but I don't want to make the same mistake as last time where when I downgraded to 2.1 and got the CTRNAND error screen, until I updated to 9.2.
     
    Last edited by CodyMitchel2, Aug 3, 2017
  19. CheatFreak47

    CheatFreak47 Complex Donut

    Member
    1,397
    1,013
    Oct 11, 2011
    United States
    Michigan, USA
    No you won't lose anything and it's a relatively hassle free upgrade- and the risk is even less than A9LH installations.
     
  20. CodyMitchel2
    OP

    CodyMitchel2 Banned

    Banned
    169
    9
    Jul 22, 2017
    United States
    I can't download the "secret_sector.bin file? Nothing happens.